hgweb: remove wsgirequest.__iter__
ClosedPublic

Authored by indygreg on Mar 8 2018, 9:27 PM.

Details

Summary

This was added in d0db3462d568 in 2006. I can't find a justification
for this method in PEP 3333. I suspect we were originally intending
to use this type as the WSGI application (which should be iterable)?

The tests all pass without this method. So let's nuke it.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Mar 8 2018, 9:27 PM
durin42 accepted this revision.Mar 9 2018, 5:16 PM
This revision is now accepted and ready to land.Mar 9 2018, 5:16 PM
indygreg edited the summary of this revision. (Show Details)Mar 9 2018, 8:23 PM
indygreg added a dependent revision: D2767: hgweb: document continuereader.
indygreg updated this revision to Diff 6829.Mar 10 2018, 3:03 PM
This revision was automatically updated to reflect the committed changes.